Get staff profiles

Returns a paginated list of staff profiles. Filter by date range or any staff schema field. Staff profiles are distinct from candidate profiles and have back-office access.

Query Parameters
  • limit
    Type: integer
    min:  
    1
    max:  
    1000

    Maximum number of objects to return. Range: 1–1000.

  • skip
    Type: integer
    min:  
    0

    Number of objects to skip for pagination.

  • updated_after
    Type: string

    Filter by profile updated_data_at date in iso 8601 - yyyy-mm-dd. updated_data_at is only updated when there are updates to the profile schema fields and roles.

  • updated_before
    Type: string

    Filter by profile updated_data_at date in iso 8601 - yyyy-mm-dd. updated_data_at is only updated when there are updates to the profile schema fields and roles.

  • filter[field]
    Type: string

    Field name to filter on, needs to be used with the filter[value]. E.g. first_name - (In the specific case where you need to filter on an email field, you currently need to prepend the name of the field with the word emails, e.g 'emails.email')

  • filter[value]
    Type: string

    Field value to filter by, needs to be used with the filter[field]. E.g. Greg - (To filter by an empty or missing value, only include filter[field] and exclude filter[value] from your request.)

Responses
  • application/json
  • application/json
  • application/json
Request Example for get/apis/profiles/staff
curl 'https://school.fullfabric.cloud/apis/profiles/staff?limit=10&skip=0&updated_after=&updated_before=&filter[field]=&filter[value]=' \
  --header 'FF-Auth: YOUR_SECRET_TOKEN'
[
  {
    "id": "6385baa4976a771912000511",
    "first_name": "Clara",
    "last_name": "Weber",
    "email": "clara.weber@primrose.edu",
    "roles": [],
    "created_at": 1669708452000,
    "updated_at": 1710892800000,
    "updated_data_at": null
  },
  {
    "id": "6385baa4976a77191200051a",
    "first_name": "Thomas",
    "last_name": "Dupont",
    "email": "thomas.dupont@primrose.edu",
    "roles": [],
    "created_at": 1669708452000,
    "updated_at": 1710892800000,
    "updated_data_at": null
  }
]